Sketchup::require 'sketchup'
Sketchup::require 'extensions'

module GBS
  module Plugins
    module Via

      # Plugin enviroment and version configuration
      PLUGIN_NAME     = "Gabster"
      PLUGIN_VERSION  = "3.5.0.2"
      # -------------------------------------------

      FILENAMESPACE   = File.basename( __FILE__, '.rb' )
      PATH_ROOT       = File.dirname( __FILE__).freeze
      PATH            = File.join( PATH_ROOT, FILENAMESPACE ).freeze

      unless file_loaded?(__FILE__)

        loader = File.join( PATH, 'gbs_extension') # 'gbs_extension.rbe' if crypto version
        GBS_viaGabster_ext = SketchupExtension.new( PLUGIN_NAME, loader )
        GBS_viaGabster_ext.creator     = 'Gabster Servicos em Tecnologia da Informacao Ltda.'
        GBS_viaGabster_ext.copyright   = '(c)2014 by Gabster'
        GBS_viaGabster_ext.version     = PLUGIN_VERSION
        GBS_viaGabster_ext.description = 'http://www.gabster.com.br'

        Sketchup.register_extension GBS_viaGabster_ext, true;

      end

    end

  end

end

file_loaded( __FILE__ )